Page MenuHomePhabricator

analytics/refinery/source unbuildable since commit that switched to CDH 5.3.1 packages {hawk}
Closed, ResolvedPublic

Description

From https://gerrit.wikimedia.org/r/#/c/204614/ 2015-04-18:

Since this commit, 'mvn package' fails for me on stat1002 with:

[INFO] ------------------------------------------------------------------------
[INFO] Building Wikimedia Analytics Refinery 0.0.10-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- maven-enforcer-plugin:1.0:enforce (enforce-maven) @ refinery ---
[INFO]
[INFO] ------------------------------------------------------------------------
[INFO] Building Wikimedia Analytics Refinery Core 0.0.10-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[...]
[INFO] --- maven-surefire-plugin:2.18.1:test (default-test) @ refinery-core ---
[INFO] Surefire report directory: /home/qchris/refinery-source-guard/refinery-core/target/surefire-reports

-------------------------------------------------------
T E S T S
-------------------------------------------------------
[...]
Running org.wikimedia.analytics.refinery.core.TestGeocode
log4j:WARN No appenders could be found for logger (org.wikimedia.analytics.refinery.core.Geocode).
log4j:WARN Please initialize the log4j system properly.
log4j:WARN See http://logging.apache.org/log4j/1.2/faq.html#noconfig for more info.
Tests run: 5, Failures: 0, Errors: 5, Skipped: 0, Time elapsed: 0.257 sec <<< FAILURE! - in org.wikimedia.analytics.refinery.core.TestGeocode
testDoGeoLookupIpv6(org.wikimedia.analytics.refinery.core.TestGeocode) Time elapsed: 0.251 sec <<< ERROR!
java.lang.NoClassDefFoundError: com/fasterxml/jackson/annotation/ObjectIdResolver
at java.net.URLClassLoader$1.run(URLClassLoader.java:366)
at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
at com.fasterxml.jackson.databind.ObjectMapper.<init>(ObjectMapper.java:464)
at com.fasterxml.jackson.databind.ObjectMapper.<init>(ObjectMapper.java:379)
at com.maxmind.db.Decoder.<init>(Decoder.java:75)
at com.maxmind.db.Reader.<init>(Reader.java:84)
at com.maxmind.db.Reader.<init>(Reader.java:74)
at com.maxmind.geoip2.DatabaseReader.<init>(DatabaseReader.java:41)
at com.maxmind.geoip2.DatabaseReader.<init>(DatabaseReader.java:31)
at com.maxmind.geoip2.DatabaseReader$Builder.build(DatabaseReader.java:126)
at org.wikimedia.analytics.refinery.core.Geocode.<init>(Geocode.java:98)
at org.wikimedia.analytics.refinery.core.Geocode.<init>(Geocode.java:71)
at org.wikimedia.analytics.refinery.core.TestGeocode.setUp(TestGeocode.java:32)

Event Timeline

QChris created this task.Apr 27 2015, 10:51 AM
QChris raised the priority of this task from to Needs Triage.
QChris updated the task description. (Show Details)
QChris added a project: Analytics-Cluster.
QChris added subscribers: Ottomata, JAllemandou.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2015, 10:51 AM
QChris renamed this task from Refinery source broken since switch to cdh-5.3.1 to analytics/refinery/source unbuildable since commit that switched to CDH 5.3.1 packages.Apr 27 2015, 10:54 AM
QChris set Security to None.
QChris added a subscriber: QChris.Apr 28 2015, 11:46 PM

After the above commit, the error message that I get on stat1002 changed into:

[INFO] ------------------------------------------------------------------------
[INFO] Building Wikimedia Analytics Refinery Jobs 0.0.10-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[...]
[ERROR] Failed to execute goal on project refinery-job: Could not resolve dependencies for project org.wikimedia.analytics.refinery.job:refinery-job:jar:0.0.10-SNAPSHOT: The following artifacts could not be resolved: commons-logging:commons-logging:jar:1.2, org.scala-lang:scala-library:jar:2.10.4: Failure to find commons-logging:commons-logging:jar:1.2 in https://archiva.wikimedia.org/repository/mirrored/ was cached in the local repository, resolution will not be reattempted until the update interval of wmf-mirrored has elapsed or updates are forced -> [Help 1]

But mvn package still does not pass for me.

kevinator triaged this task as Normal priority.
kevinator moved this task from Next Up to In Progress on the Analytics-Kanban board.
Ottomata closed this task as Resolved.May 7 2015, 2:43 PM

I just blasted my .m2 on stat1002 and was able to build. Feel free to reopen if you still have problems.

kevinator renamed this task from analytics/refinery/source unbuildable since commit that switched to CDH 5.3.1 packages to analytics/refinery/source unbuildable since commit that switched to CDH 5.3.1 packages {hawk}.May 19 2015, 7:29 PM
kevinator moved this task from In Progress to Done on the Analytics-Kanban board.